# Update the settings for an affiliate’s postback status

| HTTP method | Endpoint                                    |
| ----------- | ------------------------------------------- |
| **PATCH**   | **/v1/affiliate\_postbacks/{postback\_id}** |

## Path parameters <a href="#path-parameters-2" id="path-parameters-2"></a>

| Parameter    | Description                                |
| ------------ | ------------------------------------------ |
| postback\_id | The unique id for the affiliate postback.  |
| status       | Status can choose is approved or rejected. |

## Response body parameters <a href="#response-body-parameters-3" id="response-body-parameters-3"></a>

| Field         | Type    | Description                                                                            |
| ------------- | ------- | -------------------------------------------------------------------------------------- |
| id            | integer | The unique id for the affiliate postback.                                              |
| offer\_id     | integer | Offer id.                                                                              |
| affiliate\_id | integer | Affiliate id.                                                                          |
| event\_id     | integer | Event id.                                                                              |
| code          | string  |                                                                                        |
| status        | string  | The status of the postback.                                                            |
| type          | integer | The type of code.   Possible Values:   1:Image Pixel;   2:Postback URL;   3:HTML Pixel |
| create\_time  | integer | Create time.                                                                           |
| update\_time  | integer | Update time.                                                                           |

## Example request <a href="#example-request-4" id="example-request-4"></a>

**Request PATCH** <https://{networkname}.api.offerslook.com/v1/affiliate_postbacks/8?status=approved>

**Request PATCH** <http://{networkname}.api.offerslook.com/v1/affiliate_postbacks/8?status=approved>

## Example response <a href="#example-response-4" id="example-response-4"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate_postback": {
          "id": 8,
          "offer_id": 8,
          "affiliate_id": 40,
          "event_id": 1,
          "code": "https: //offerslook.gitbooks.io/api-documentation/content/affiliatepostbacks/affiliatepostbacksmd_md.html",
          "status": "approved",
          "type": 2,
          "create_time": 1467857354,
          "update_time": 1467857354
        }
      }
    }
```
